petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerASCIIPrintf

Prints to a file, only from the first processor in the PetscViewer

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIPrintf(PetscViewer viewer,const char format[],...)

Not Collective, but only first processor in set has any effect

### Input Parameters

| viewer | - obtained with PetscViewerASCIIOpen()
| format | - the usual printf() format string

### Fortran Note

The call sequence is PetscViewerASCIIPrintf(PetscViewer, character(*), int ierr) from Fortran. That is, you can only pass a single character string from Fortran.

### See Also

PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIOpen(),
PetscViewerASCIIPushTab(), PetscViewerASCIIPopTab(), PetscViewerASCIISynchronizedPrintf(), PetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerASCIIGetPointer(), PetscViewerASCIIPushSynchronized()

### Level

developer

### Location

src/sys/classes/viewer/impls/ascii/filev.c

### Examples

src/sys/classes/viewer/examples/tutorials/ex1.c.html
src/sys/examples/tutorials/ex15.c.html
src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex1f.F90.html
src/dm/field/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex68.c.html
src/ksp/ksp/examples/tutorials/ex69.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex70.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages